Package com.sas.lsaf.content.repository.recyclebin

## Class RecycleBinItem

- java.lang.Object
- - com.sas.lsaf.content.repository.recyclebin.RecycleBinItem

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RecycleBinItem
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents an item that is in the recycle bin.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecycleBinItem​(java.lang.String id, java.lang.String typeId, java.lang.String path, java.lang.String deletedBy, java.util.Date deletedDate, long size, java.lang.String lastModifiedBy, java.util.Date lastModified)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDeletedBy()` | Gets the user who deleted the object.
    `java.util.Date` | `getDeletedDate()` | Gets the date on which the object was deleted.
    `java.lang.String` | `getId()` | Gets the identifier of the deleted object.
    `java.util.Date` | `getLastModified()` | Gets the date on which the deleted object was last modified.
    `java.lang.String` | `getLastModifiedBy()` | Gets the identifier of the user who last modified the deleted object.
    `java.lang.String` | `getPath()` | Gets the path to the deleted object.
    `long` | `getSize()` | Gets the size (in bytes) of the deleted object.
    `java.lang.String` | `getTypeId()` | Gets the identifier of the type for the deleted object.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecycleBinItem

          public RecycleBinItem​(java.lang.String id,
                                java.lang.String typeId,
                                java.lang.String path,
                                java.lang.String deletedBy,
                                java.util.Date deletedDate,
                                long size,
                                java.lang.String lastModifiedBy,
                                java.util.Date lastModified)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the user descriptors returned by the API.
      Parameters:
        `id` - The identifier of the deleted object.
        `typeId` - The identifier of the type of the deleted object.
        `path` - The path to the deleted object.
        `deletedBy` - The identifier of the user who deleted the object.
        `deletedDate` - The date on which the object was deleted.
        `size` - The size (in bytes) of the deleted object.
        `lastModifiedBy` - The identifier of the user who last modified the deleted object.
        `lastModified` - The date on which the deleted object was last modified.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the identifier of the deleted object.
      Returns:
        The identifier of the deleted object.

    - #### getPath

          public java.lang.String getPath()

      Gets the path to the deleted object.
      Returns:
        The path to the deleted object.

    - #### getDeletedBy

          public java.lang.String getDeletedBy()

      Gets the user who deleted the object.
      Returns:
        The identifier of the user who deleted the object.

    - #### getDeletedDate

          public java.util.Date getDeletedDate()

      Gets the date on which the object was deleted.
      Returns:
        The date on which the object was deleted.

    - #### getTypeId

          public java.lang.String getTypeId()

      Gets the identifier of the type for the deleted object.
      Returns:
        The identifier of the type for the deleted object.

    - #### getLastModified

          public java.util.Date getLastModified()

      Gets the date on which the deleted object was last modified.
      Returns:
        The date on which the deleted object was last modified.

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Gets the identifier of the user who last modified the deleted object.
      Returns:
        The identifier of the user who last modified the delete object.

    - #### getSize

          public long getSize()

      Gets the size (in bytes) of the deleted object. The size is available for files only. Containers always return 0.
      Returns:
        The size (in bytes) of the deleted object.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`